Loading...
Searching...
No Matches
etl::iset< TKey, TCompare >::Data_Node Struct Reference

The data node element in the set. More...

`#include <set.h>`

## Public Member Functions

| Data_Node (value_type value_)
Public Member Functions inherited from etl::set_base::Node
| Node ()
| Constructor.
void | mark_as_leaf ()
| Marks the node as a leaf.

## Public Attributes

value_type | value
Public Attributes inherited from etl::set_base::Node
Node * | children [2]
uint_least8_t | weight
uint_least8_t | dir

## Detailed Description

template<typename TKey, typename TCompare = etl::less<TKey>>
struct etl::iset< TKey, TCompare >::Data_Node

The data node element in the set.

The documentation for this struct was generated from the following file:

- include/etl/set.h